petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecStepBoundInfo

See below

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStepBoundInfo(Vec X, Vec DX, Vec XL, Vec XU, PetscReal *boundmin, PetscReal *wolfemin, PetscReal *boundmax)

Collective on Vec

### Input Parameters

| X | - vector with no negative entries
| XL | - lower bounds
| XU | - upper bounds
| DX | - step direction, can have negative, positive or zero entries

### Output Parameter

| boundmin | - (may be NULL this it is not computed) maximum value so that XL[i] <= X[i] + boundmax*DX[i] <= XU[i]
| wolfemin | - (may be NULL this it is not computed)
| boundmax | - (may be NULL this it is not computed) minimum value so that X[i] + boundmax*DX[i] <= XL[i] or XU[i] <= X[i] + boundmax*DX[i]

### Notes

For complex numbers only compares the real part

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages